import dynamix_sdk.base as _base


class CloudapiDisksSnapshotRollbackResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiDisksSnapshotRollbackProtocol(_base.BasePostAPIFunctionProtocol):
    def snapshot_rollback(
        self,
        *,
        disk_id: int,
        label: str | None = None,
        timestamp: int | None = None,
    ) -> CloudapiDisksSnapshotRollbackResultBool:
        ...
